/******************************************************************************
 nhtsclient - a ncurses-based client for the trading game Holsham Traders
 Copyright (C) 1999-2001 Uwe Hermann

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
******************************************************************************/

/* conf.h  --  Functions to handle configuration issues. */


#ifndef CONF_H
#define CONF_H    /* To stop multiple inclusions. */


#include "common.h"


struct conf_t
{
 gchar *host;
 gushort port;
 gboolean music;
 gboolean sound;
 gchar *configfile;
 gchar *logfile;
 gchar *datadir;
};

typedef struct conf_t conf_t;

extern conf_t conf;

void conf_init(void);

gint conf_parse(void);


#endif /* CONF_H */

